package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

@Entity
@Table(name = "wc_ofertas_descuentazos")
public class WcOfertaDescuento implements Serializable {

    @Id
    @Column(name = "id")
    private Integer id;
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Column(name = "precio_con_descuento")
    private BigDecimal precioConDescuento;
    @Column(name = "precio_sin_descuento")
    private BigDecimal precioSinDescuento;
    @Column(name = "desde")
    private Integer desde;
    @Column(name = "oferta_codigo")
    private String ofertaCodigo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public BigDecimal getPrecioConDescuento() {
        return precioConDescuento;
    }

    public void setPrecioConDescuento(BigDecimal precioConDescuento) {
        this.precioConDescuento = precioConDescuento;
    }

    public BigDecimal getPrecioSinDescuento() {
        return precioSinDescuento;
    }

    public void setPrecioSinDescuento(BigDecimal precioSinDescuento) {
        this.precioSinDescuento = precioSinDescuento;
    }

    public Integer getDesde() {
        return desde;
    }

    public void setDesde(Integer desde) {
        this.desde = desde;
    }

    public String getOfertaCodigo() {
        return ofertaCodigo;
    }

    public void setOfertaCodigo(String ofertaCodigo) {
        this.ofertaCodigo = ofertaCodigo;
    }

    public WcOfertaDescuento(Integer id, String productoCodigo, String programaCodigo, BigDecimal precioConDescuento, BigDecimal precioSinDescuento, Integer desde, String ofertaCodigo) {
        this.id = id;
        this.productoCodigo = productoCodigo;
        this.programaCodigo = programaCodigo;
        this.precioConDescuento = precioConDescuento;
        this.precioSinDescuento = precioSinDescuento;
        this.desde = desde;
        this.ofertaCodigo = ofertaCodigo;
    }

    public WcOfertaDescuento() {
    }
}
